package com.chenyang.druid.sql.dialect.mariadb.executor;

import com.chenyang.druid.sql.ast.SQLStatement;
import java.util.List;

public class MariadbProcedureExecutor {
   public static int executeStatements(List<SQLStatement> list) {
      return 0;
   }

   public static int executeStatement(SQLStatement stmt) {
      return 0;
   }

   public static int executeIf(SQLStatement stmt) {
      return 0;
   }

   public static int executeWhile(SQLStatement stmt) {
      return 0;
   }

   public static int executeLoop(SQLStatement stmt) {
      return 0;
   }

   public static int executeCase(SQLStatement stmt) {
      return 0;
   }

   public static int executeAssign(SQLStatement stmt) {
      return 0;
   }

   public static int executeOpen(SQLStatement stmt) {
      return 0;
   }

   public static int executeFetch(SQLStatement stmt) {
      return 0;
   }

   public static int executeClose(SQLStatement stmt) {
      return 0;
   }

   public static int executeSQL(SQLStatement stmt) {
      return 0;
   }

   public static int executeFunction(SQLStatement stmt) {
      return 0;
   }
}
